<section class="section-full-page">
  <div class="container-fluid">
    <div class="row">
      <div class="left-side col-sm-4">               
        <div class="inner-text text-center">

          <?php if(config("user") && !config("private") && !config("maintenance")): ?>
            <h2><?php echo e("Don't have an account?")?></h2>
            <a href="<?php echo route("register") ?>" class="btn btn-transparent-white btn-lg"><?php echo e("Create account") ?></a>
          <?php else: ?>
            <h2><?php echo e("A great tool for savvy marketers") ?></h2>
          <?php endif ?>          
        </div>      

        <div class="footer">
          <div class="row">
            <div class="col-md-5 col-sm-12">
              <?php echo date("Y") ?> &copy; <?php echo config("title") ?>.
            </div>
            <div class="col-md-7 hidden-sm text-end">                                      
              <?php foreach (\Helpers\App::pages() as $i => $page):?>                  
                <a href="<?php echo config("url")?>/page/<?php echo $page->seo ?>" title="<?php echo e($page->name)?>"><?php echo e($page->name)?></a>
              <?php endforeach; ?>
              <a href="<?php echo config("url")?>/contact" title="<?php echo e("Contact")?>"><?php echo e("Contact")?></a>
            </div>
          </div>          
        </div>
      </div>

      <div class="right-side col-sm-8">
        <div class="centered form">      
          <div class="site_logo hidden-sm hidden-md hidden-lg">
            <?php if (!empty(config("logo"))): ?>
              <a href="<?php echo config("url") ?>"><img src="<?php echo config("url") ?>/content/<?php echo config("logo") ?>" alt="<?php echo config("title") ?>"></a>
            <?php else: ?>
              <h3><a href="<?php echo config("url") ?>"><?php echo config("title") ?></a></h3>
            <?php endif ?>
          </div>  
          <?php message() ?> 
          <?php if(!config("private") && !config("maintenance") && config("user") && (config("fb_connect") || config("tw_connect") || config("gl_connect"))):?>
            <div class="social">
              <h3><?php echo e("Login using a social network") ?></h3>
              <?php if(config("fb_connect")):?>
              <a href="<?php echo config("url")?>/user/login/facebook" class="btn btn-facebook btn-block w-100 mb-1"><i class="fab fa-facebook-f"></i> <?php echo e("Sign in with") ?> Facebook</a>
              <?php endif;?>
              <?php if(config("tw_connect")):?>
              <a href="<?php echo config("url")?>/user/login/twitter" class="btn btn-twitter btn-block w-100 mb-1"><i class="fab fa-twitter"></i> <?php echo e("Sign in with") ?> Twitter</a>
              <?php endif;?>
              <?php if(config("gl_connect")):?>
              <a href="<?php echo config("url")?>/user/login/google" class="btn btn-light btn-block w-100 mb-1">
                <svg viewBox="0 0 533.5 544.3" xmlns="http://www.w3.org/2000/svg"><path d="M533.5 278.4c0-18.5-1.5-37.1-4.7-55.3H272.1v104.8h147c-6.1 33.8-25.7 63.7-54.4 82.7v68h87.7c51.5-47.4 81.1-117.4 81.1-200.2z" fill="#4285f4"/><path d="M272.1 544.3c73.4 0 135.3-24.1 180.4-65.7l-87.7-68c-24.4 16.6-55.9 26-92.6 26-71 0-131.2-47.9-152.8-112.3H28.9v70.1c46.2 91.9 140.3 149.9 243.2 149.9z" fill="#34a853"/><path d="M119.3 324.3c-11.4-33.8-11.4-70.4 0-104.2V150H28.9c-38.6 76.9-38.6 167.5 0 244.4l90.4-70.1z" fill="#fbbc04"/><path d="M272.1 107.7c38.8-.6 76.3 14 104.4 40.8l77.7-77.7C405 24.6 339.7-.8 272.1 0 169.2 0 75.1 58 28.9 150l90.4 70.1c21.5-64.5 81.8-112.4 152.8-112.4z" fill="#ea4335"/></svg>
                 <?php echo e("Sign in with") ?> Google</a>
              <?php endif;?>          
            </div>
          <?php endif;?>           
          <form role="form" class="live_form form shadow-sm" id="login_form" method="post" action="<?php echo route("login.auth")?>">
            <?php echo csrf() ?>
            <div class="form-group">
              <label for="email"><?php echo e("Email or username") ?></label>
              <input type="text" class="form-control" id="email" placeholder="Enter email" name="email">
              <a href="<?php echo route('register') ?>"><i class="fa fa-user"></i></a>
            </div>
            <div class="form-group">
              <label for="pass"><?php echo e("Password")?></label>
              <input type="password" class="form-control" id="pass" placeholder="Password" name="password">
              <i class="fa fa-eye"></i>
            </div>
            <p><?php echo \Helpers\Captcha::display() ?></p>
            <div class="form-group">
              <div class="custom-control custom-checkbox mb-3">
                  <input type="checkbox" class="custom-control-input" id="rememberme" name="rememberme"> 
                  <label class="custom-control-label align-middle" for="rememberme"><strong><?php ee('Remember me') ?></strong></label>
              </div>
            </div>            
            <button type="submit" class="btn btn-primary"><?php echo e("Login")?></button>  
            <small><a href="<?php echo route("forgot") ?>" id="forgot-password"><?php echo e("Forgot Password")?></a></small>
          </form>                   
        </div>                       
      </div>
    </div>
  </div>
</section>