<section class="section-blue py-5">
    <div class="container d-flex align-items-center" data-offset-top="#navbar-main">
        <div class="col py-5">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-7 col-lg-7 text-center">
                    <h1 class="text-white mb-5"><?php ee('Blog') ?></h1>
                    <form action="<?php echo route('blog.search') ?>">
                        <div class="form-group card rounded-pill mb-0 px-2 py-2 shadow">
                            <div class="row">
                                <div class="col">
                                    <div class="input-group input-group-merge shadow-none">
                                        <input type="text" name="q" class="form-control form-control-flush shadow-none border-0 rounded-pill p-3" value="<?php echo clean(request()->q ?? '') ?>" placeholder="<?php ee('Search') ?>...">
                                    </div>
                                </div>
                                <div class="col-auto">
                                    <button type="submit" class="btn btn-block btn-primary rounded-pill px-4"><?php ee('Search') ?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="container py-3">
        <div class="row align-items-center">
            <div class="col mb-4 mb-lg-0">
                <ul class="nav border-bottom py-4">
                    <li class="nav-item">
                        <a class="nav-link <?php echo !isset($current) ? 'btn btn-primary border-0 rounded-pill fw-bold px-4 shadow active' : 'text-dark' ?>" href="<?php echo route('blog') ?>"><?php ee('All') ?></a>
                    </li>
                    <?php foreach($categories as $category): ?>
                        <?php if(is_array($category)): ?>
                            <li class="nav-item ms-2">
                                <a class="nav-link" href="#" data-toggle="dropdown" title="" class="dropdown-toggle">
                                    <i class="me-2 fa fa-ellipsis-h"></i>
                                    <?php ee('More') ?>
                                </a>
                                <ul class="dropdown-menu">
                                    <?php foreach($category as $child): ?>
                                        <li class="dropdown-item">
                                            <a class="nav-link" href="<?php echo route('blog.category', [$child->slug]) ?>" title="<?php echo $child->name ?>">
                                                <?php if(isset($child->icon) && $child->icon): ?>
                                                        <i class="me-2 <?php echo $child->icon ?>"></i>
                                                <?php endif ?>
                                                <?php echo $child->name ?>
                                            </a>
                                        </li>
                                    <?php endforeach ?>
                                </ul>
                            </li>
                        <?php else: ?>
                            <li class="nav-item ms-2">
                                <a class="nav-link <?php echo isset($current) && $current->id == $category->id ? 'btn btn-primary border-0 rounded-pill fw-bold px-4 shadow' : 'text-dark' ?>" href="<?php echo route('blog.category', [$category->slug]) ?>" title="<?php echo $category->name ?>">
                                    <?php if(isset($category->icon) && $category->icon): ?>
                                            <i class="me-2 <?php echo $category->icon ?>"></i>
                                    <?php endif ?>
                                    <?php echo $category->name ?>
                                </a>
                            </li>
                        <?php endif ?>
                    <?php endforeach ?>
                </ul>
            </div>
        </div>
    </div>
</section>