<section class="section-blue py-5">
    <div class="container d-flex align-items-center" data-offset-top="#navbar-main">
        <div class="col py-5">
            <div class="row align-items-center justify-content-center">
                <div class="col-md-7 col-lg-7 text-center">
                    <h1 class="text-white mb-5"><?php ee('Blog') ?></h1>

                    <form action="<?php echo route('blog.search') ?>">
                        <div class="form-group card rounded-pill mb-0 px-2 py-2 shadow">
                            <div class="row">
                                <div class="col">
                                    <div class="input-group input-group-merge shadow-none">
                                        <input type="text" name="q" class="form-control form-control-flush shadow-none border-0 rounded-pill p-3" value="<?php echo clean(request()->q ?? '') ?>" placeholder="<?php ee('Search') ?>...">
                                    </div>
                                </div>
                                <div class="col-auto">
                                    <button type="submit" class="btn btn-block btn-primary rounded-pill px-4"><?php ee('Search') ?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<section id="blog">
	<div class="container content">
        <?php echo \Helpers\App::ads(728,0) ?>
		<div class="row main-content">
			<div class="col-md-8">
				<div class="card">
                    <?php if ($post->image): ?>
                        <a href="<?php echo url("blog/{$post->slug}") ?>" title="<?php echo $post->image ?>" class="blog-image"><img src="<?php echo uploads("blog/{$post->image}") ?>" alt="<?php echo $post->title ?>"></a>
                    <?php endif ?>
                    <div class="card-body">
                        <h1 class="mb-3"><a href="<?php echo url("blog/{$post->slug}") ?>"><?php echo $post->title ?></a></h1>
                        
                        <div class="row align-items-center">
                            <div class="col-auto">
                                <?php if($post->avatar): ?>
                                    <img alt="<?php echo $post->title ?>" src="<?php echo $post->avatar ?>" width="30" class="rounded-circle me-2">
                                <?php else: ?>
                                    <span class="avatar avatar-sm bg-primary rounded-circle me-2"><?php echo $post->author[0] ?></span>
                                <?php endif ?>
                                <span class="text-sm mb-0 avatar-content"><?php echo $post->author ?></span>
                            </div>
                            <div class="col-auto">
                                <i class="fa fa-calendar-alt me-2"></i> <small class="text-sm"><?php echo $post->date ?></small>
                            </div>
                            <div class="col-auto">
                                <?php if($category): ?>
                                    <i class="fa fa-folder me-2"></i> <a href="<?php echo route('blog.category', [$category->slug]) ?>" title="<?php echo $category->name ?>"><?php echo $category->name ?></a>
                                <?php endif ?> 
                            </div>
                        </div>
                        <div class="mt-3">
                            <?php echo $post->content ?>
                        </div>
                    </div>
				</div>
			</div>
			<div class="col-md-4">
                <?php \Helpers\App::ads('blogsidebar') ?>
                <h6><?php ee('Popular Posts') ?></h6>

                <?php foreach($posts as $post): ?>
                    <a href="<?php echo route('blog.post', [$post->slug]) ?>" class="mb-2 d-block" title="<?php echo $post->title ?>"><?php echo $post->title ?></a>
                <?php endforeach ?>
			</div>
		</div>
	</div>
</section>