<?php
/**
 * =======================================================================================
 *                           GemFramework (c) GemPixel                                     
 * ---------------------------------------------------------------------------------------
 *  This software is packaged with an exclusive framework as such distribution
 *  or modification of this framework is not allowed before prior consent from
 *  GemPixel. If you find that this framework is packaged in a software not distributed 
 *  by GemPixel or authorized parties, you must not use this software and contact gempixel
 *  at https://gempixel.com/contact to inform them of this misuse.
 * =======================================================================================
 *
 * @package GemPixel\Premium-URL-Shortener
 * @author GemPixel (https://gempixel.com) 
 * @license https://gempixel.com/licenses
 * @link https://gempixel.com  
 */

use Core\Plugin;
use Core\Helper;
use Core\DB;
use Core\View;


class themeSettings {
    /**
     * Initiate Class
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 1.0
     * @return void
     */
    public static function int(){    
        
        if(empty(request()->path())){
            if(config('testimonials')){            
                View::push("https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css","css")->toHeader();
                View::push("https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js","script")->toFooter();
            }
    
            View::push("//cdnjs.cloudflare.com/ajax/libs/typed.js/2.0.6/typed.min.js","script")->toFooter();   
            View::set('bodyClass', 'home light');
        }  
    }
    /**
     * Menu
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 1.0
     * @return void
     */
    public static function menu(){
        
        $option = config("theme_config");

        if(!isset($option->homelinks)) return null;

        foreach(explode("\n", $option->homelinks) as $list){
            if(empty($list)) continue;
            [$title, $link] = array_map('trim', explode("|", $list));
            print('<li>
                    <a href="'.$link.'">'.$title.'</a>
                </li>');            
        }
    }
    /**
     * Activate
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 1.0
     * @return void
     */
    public static function activate(){
        $data = [];

        $data['address'] = '';
        $data['scheme'] = 'default';

        $data['logo'] = '';

        
        $setting = DB::settings()->where('config', 'theme_config')->first();

        $setting->var = json_encode($data);
        $setting->save();

        foreach(View::config('assets') as $asset){
            $name = explode('/', $asset);
            copy(View::$path.'/'.$asset, UPLOADS.'/'.$name[1]);
        }


        return Helper::redirect()->to(route('admin.themes'))->with('success', 'Theme has been successfully activated');
    }
    /**
     * Update
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 1.0
     * @param [type] $theme
     * @return void
     */
    public static function updated($theme){        
        foreach(View::config('assets') as $asset){
            $name = explode('/', $asset);
            if(file_exists(UPLOADS.'/'.$name[1])) unlink(UPLOADS.'/'.$name[1]);
            copy(View::$path.'/'.$asset, UPLOADS.'/'.$name[1]);
        }        
    }
    /**
     * Theme Settings
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 6.0
     * @return void
     */
    public static function settings(){
        
        if(!$option = config("theme_config")){
            $option = new \stdClass;
        }
        
        if(!isset($option->homelinks)) $option->homelinks = "";
        if(!isset($option->homestyle)) $option->homestyle = "";

        $content = '<div class="row">
                        <div class="col-md-8">
                            <div class="card card-default">
                                <div class="card-body">
                                    <form action="'.route("admin.themes.update").'" method="post" enctype="multipart/form-data" id="setting-form">
                                        <div class="form-group mb-4">
                                            <label for="headline" class="form-label">Blog Headline</label>
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" data-binary="true" id="headline" name="headline" value="1" '.(isset($option->headline) && $option->headline ? 'checked':'').'>
                                                <label class="form-check-label" for="headline">Enable</label>
                                            </div>
                                            <p class="form-text">Once enabled, the latest blog post title will show as a major headline in the homepage.</p>                                                
                                        </div>             

                                        <h5>Light Logo</h5>
                                        <div class="form-group mb-4">                                        
                                            <input type="text" class="form-control" name="logo" id="logo" value="'.$option->logo.'">
                                            <p class="form-text">If you do not set a link to a light logo, the script will attempt to convert your logo to light version</p>
                                        </div>
                                        
                                        <h5>Style</h5>
                                        <div class="btn-group btn-group-toggle mb-4 border rounded text-center" data-toggle="buttons">
                                            <label class="btn btn-light text-light py-2 px-3">
                                                <input type="radio" name="homestyle" value="light" class="me-2" autocomplete="off" '.(!$option->homestyle || $option->homestyle =='light' ? 'checked' : '').'> <span class="text-primary">Light</span>
                                            </label>
                                            <label class="btn btn-dark text-dark py-2 px-3">
                                                <input type="radio" name="homestyle" value="dark" class="me-2" autocomplete="off" '.($option->homestyle == 'dark' ? 'checked' : '').'> Dark
                                            </label>
                                        </div>

                                        <h5>Scheme</h5>
                                        <div class="btn-group btn-group-toggle mb-4 border rounded text-center" data-toggle="buttons">
                                            <label class="btn btn-danger text-light py-2 px-3">
                                                <input type="radio" name="scheme" value="default" class="me-2" autocomplete="off" '.($option->scheme == 'default' ? 'checked' : '').'>
                                            </label>
                                            <label class="btn btn-primary text-light py-2 px-3">
                                                <input type="radio" name="scheme" value="blue" class="me-2" autocomplete="off" '.($option->scheme == 'blue' ? 'checked' : '').'>
                                            </label>
                                            <label class="btn btn-success text-light py-2 px-3">
                                                <input type="radio" name="scheme" value="green" class="me-2" autocomplete="off" '.($option->scheme == 'green' ? 'checked' : '').'>
                                            </label>
                                            <label class="btn btn-warning text-dark py-2 px-3">
                                                <input type="radio" name="scheme" value="yellow" class="me-2" autocomplete="off" '.($option->scheme == 'yellow' ? 'checked' : '').'>
                                            </label>
                                            <label class="btn btn-dark text-dark py-2 px-3">
                                                <input type="radio" name="scheme" value="black" class="me-2" autocomplete="off" '.($option->scheme == 'black' ? 'checked' : '').'>
                                            </label>
                                        </div>
                                        <hr>
                                        <h5>Address</h5>
                                        <input type="hidden" name="address[enabled]" id="address-enabled" value="'.(isset($option->address->enabled) ? $option->address->enabled : '').'">
                                        <div class="form-group mb-3">
                                            <label for="address[street]" class="form-label">Street</label>
                                            <input type="text" class="form-control" name="address[street]" id="address[street]" value="'.(isset($option->address->street) ? $option->address->street : '').'">
                                        </div>	
                                        <div class="form-group mb-3">
                                            <label for="address[city]" class="form-label">City</label>
                                            <input type="text" class="form-control" name="address[city]" id="address[city]" value="'.(isset($option->address->city) ? $option->address->city : '').'">
                                        </div>	
                                        <div class="form-group mb-3">
                                            <label for="address[state]" class="form-label">State</label>
                                            <input type="text" class="form-control" name="address[state]" id="address[state]" value="'.(isset($option->address->state) ? $option->address->state : '').'">
                                        </div>	
                                        <div class="form-group mb-3">
                                            <label for="address[country]" class="form-label">Country</label>
                                            <input type="text" class="form-control" name="address[country]" id="address[country]" value="'.(isset($option->address->country) ? $option->address->country : '').'">
                                        </div>
                                        <div class="form-group mb-3">
                                            <label for="address[phone]" class="form-label">Phone</label>
                                            <input type="text" class="form-control" name="address[phone]" id="address[phone]" value="'.(isset($option->address->phone) ? $option->address->phone : '').'">
                                        </div>
                                        <hr>
                                        <div class="form-group">
                                            <label for="homelinks" class="form-label">Menu Links</label>
                                            <textarea class="form-control" name="homelinks" id="homelinks" rows="5" placeholder="e.g. Google|https://google.com">'.$option->homelinks.'</textarea>
                                            <p class="form-text">You can add custom links to the menu using the following format (one per line): TITLE|LINK</p>
                                        </div>	
                                        '.csrf().'
                                        <button class="btn btn-primary">Save Settings</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="card card-default">
                                <div class="card-header">Help</div>
                                <div class="card-body">	
                                    <p><strong>Color Schemes</strong></p>
                                    <p>Color scheme CSS files are located in the folder assets/css. You can edit them as you wish. All changes you make must be on that respective file.</p>

                                    <p><strong>Address</strong></p>
                                    <p>If you choose to add your company\'s address, you can enable this feature and fill the form. This will show your company address in the contact page.</p>	
                                    <p><strong>Support</strong></p>
                                    <p>For support, please open a ticket by clicking the link below. Make sure to add your purchase codes for faster response.</p>
                                    <a href="https://support.gempixel.com" class="btn btn-primary btn-xs" target="_blank">Open Support</a>
                                </div>
                            </div>
                            <div class="card card-default">
                                <div class="card-header">Menu Link</div>
                                <div class="card-body">	
                                    <p>You can add custom links to the menu using the following format (one per line): TITLE|LINK</p>

                                    <p><strong>Example</strong></p>
                                    <pre>Support|https://support.gempixel.com<br>Blog|https://gempixel.com/blog</pre>

                                    <p>You can add as much as you want however you need to make sure it does not break the template</p>

                                    <p><strong>Support</strong></p>
                                    <p>For support, please open a ticket by clicking the link below. Make sure to add your purchase codes for faster response.</p>
                                    <a href="https://support.gempixel.com" class="btn btn-primary btn-xs" target="_blank">Open Support</a>
                                </div>
                            </div>		     
                        </div>
                    </div>';
        return $content;        
    }
    /**
     * Update 
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 6.0
     * @return void
     */
    public function update(){

        \Gem::addMiddleware('DemoProtect');

        $option = config("theme_config");

        $request = new \Core\Request;

        $data = [];

        $data['address'] = array_map('clean', $request->address);
        $data['scheme'] = $request->scheme;
        $data['homelinks'] = $request->homelinks;
        $data['homestyle'] = $request->homestyle;
        $data['headline'] = $request->headline ?? 0;

        $data['logo'] = clean($request->logo);

        
        $setting = DB::settings()->where('config', 'theme_config')->first();

        $setting->var = json_encode($data);
        $setting->save();
        return Helper::redirect()->back()->with('success', e('Settings are successfully saved.'));
    }
     /**
     * Is Dark Mode or Dark Theme
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 6.6
     * @param [type] $return
     * @return boolean
     */
    public static function isDark($return = null){

        return false;
    }

    /**
     * Config
     *
     * @author GemPixel <https://gempixel.com> 
     * @version 1.0
     * @param string $name
     * @param [type] $is
     * @param [type] $set
     * @param [type] $default
     * @return void
     */
    public static function config(string $name, $is = null, $set = null, $default = null){ 

        return $default;
    }
}