<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <?php meta() ?>    
        <link rel="stylesheet" href="<?php echo uploads('bootstrap.min.css') ?>" id="stylesheet">
        <?php if(config('theme_config')->scheme && config('theme_config')->scheme !== 'default'): ?>
            <link rel="stylesheet" href="<?php echo uploads('style-'.config('theme_config')->scheme.'.css') ?>" id="stylesheet">
        <?php else: ?>
            <link rel="stylesheet" href="<?php echo uploads('style.css') ?>" id="stylesheet">
        <?php endif ?>
        <link rel="stylesheet" href="<?php echo uploads('main.css') ?>?v=1.0" id="stylesheet">
    </head>
    <body>
        <div class="container d-flex flex-column">
            <div class="row align-items-center justify-content-between vh-100">
                <div class="col-12 text-center">
                    <a class="mb-5 mb-md-0 text-dark text-decoration-none text-center" href="<?php echo config('url') ?>">
                        <?php if (!empty(config('logo'))): ?>
                            <img src="<?php echo uploads(config('logo')) ?>" alt="<?php echo config('title') ?>" height="80">
                        <?php else: ?>
                            <?php echo config('title') ?>
                        <?php endif ?>
                    </a>

                    <h6 class="display-1 mb-3 mt-5 fw-bold text-dark"><?php ee('Error') ?> <strong class="text-danger">404</strong></h6>
                    <p class="lead text-lg mb-5">
                        <?php ee('The page you are looking for could not be found.') ?>
                    </p>
                    <a href="<?php echo config('url') ?>" class="btn btn-primary px-5 py-3">
                        <?php ee('Back to home') ?>
                    </a>
                </div>
            </div>
        </div>        
    </body>
</html>