<!DOCTYPE html>
<html lang="<?php echo \Core\Localization::locale() ?>" <?php echo \Core\Localization::get('rtl')? 'dir="rtl"':''?><?php echo request()->cookie('darkmode') || \Helpers\App::themeConfig('homestyle', 'dark', true) ? 'data-scheme="dark"' : '' ?>>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <?php meta() ?>
        <link rel="stylesheet" href="<?php echo uploads('bootstrap.min.css') ?>" id="stylesheet">
        <link rel="stylesheet" type="text/css" href="<?php echo assets('frontend/libs/fontawesome/all.min.css') ?>">
        <?php if(config('theme_config')->scheme && config('theme_config')->scheme !== 'default'): ?>
            <link rel="stylesheet" href="<?php echo uploads('style-'.config('theme_config')->scheme.'.css') ?>" id="stylesheet">
        <?php else: ?>
            <link rel="stylesheet" href="<?php echo uploads('style.css') ?>" id="stylesheet">
        <?php endif ?>
        <link rel="stylesheet" href="<?php echo uploads('main.css') ?>?v=1.0" id="stylesheet">
        <?php block('header') ?>
        <?php echo html_entity_decode(config('customheader')) ?>
    </head>
    <body>
        <header class="border-bottom">
            <div class="navbar" role="navigation">
                <div class="container-fluid">
                    <div class="navbar-header">                       
                        <a class="navbar-brand" href="<?php echo config('url') ?>">
                        <?php if (!empty(config('logo'))): ?>
                            <img src="<?php echo uploads(config('logo')) ?>" alt="<?php echo config('title') ?>">
                        <?php else: ?>
                            <?php echo config('title') ?>
                        <?php endif ?>
                        </a>
                        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mainmenu" aria-controls="mainmenu" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
                    </div>
                    <?php view('partials.main_menu') ?>
                </div>
            </div>    
        </header> 
        <section class="bg-white">
            <?php section() ?>
        </section>
        <?php view('partials.footer') ?>
        
        <a href="#top" data-scroll-to data-scroll-to-offset="50" class="btn btn-white btn-icon-only rounded-circle position-fixed zindex-101 right-4 bottom-4 d-none d-lg-inline-flex">
            <span class="btn-inner--icon">
                <i data-feather="arrow-up"></i>
            </span>
        </a>
        <script src="<?php echo assets('bundle.pack.js') ?>"></script>   
        <?php block('footer') ?>
        <script src="<?php echo assets('frontend/js/app.js') ?>"></script>
        <script src="<?php echo assets('server.min.js') ?>"></script>  
        <script>
            feather.replace({
                'width': '1em',
                'height': '1em'
            })
        </script>
        <?php echo html_entity_decode(config('customfooter')) ?>
    </body>

</html>
