<!DOCTYPE html>
<html lang="<?php echo \Core\Localization::locale() ?>" <?php echo \Core\Localization::get('rtl')? 'dir="rtl"':''?><?php echo request()->cookie('darkmode') || \Helpers\App::themeConfig('homestyle', 'dark', true) ? 'data-scheme="dark"' : '' ?>>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<?php meta() ?>

		<link rel="preconnect" href="https://fonts.gstatic.com">

		<link href="<?php echo assets('frontend/libs/select2/dist/css/select2.min.css') ?>" rel="stylesheet">
		<link rel="stylesheet" type="text/css" href="<?php echo assets('frontend/libs/fontawesome/all.min.css') ?>">
        <link rel="stylesheet" href="<?php echo uploads('bootstrap.min.css') ?>" id="stylesheet">
        <?php if(config('theme_config')->scheme && config('theme_config')->scheme !== 'default'): ?>
            <link rel="stylesheet" href="<?php echo uploads('style-'.config('theme_config')->scheme.'.css') ?>" id="stylesheet">
        <?php else: ?>
            <link rel="stylesheet" href="<?php echo uploads('style.css') ?>" id="stylesheet">
        <?php endif ?>
		<link rel="stylesheet" href="<?php echo uploads('main.css') ?>?v=1.0" id="stylesheet">
		<?php if(config('font')): ?>
			<link href="https://fonts.googleapis.com/css2?family=<?php echo config('font') ?>:wght@300;400;600&display=swap" rel="stylesheet">
			<style>body{font-family:'<?php echo config('font') ?>' !important}</style>
		<?php endif ?>
		<?php echo html_entity_decode(config('customheader')) ?>
		<?php block('header') ?>
	</head>
	<body class="dashboard">
		<?php $user = \Core\Auth::user() ?>
		<?php if(\Helpers\App::loggedAs()): ?>
			<div class="alert alert-success mb-0 text-end p-2 rounded-0 d-block">
				<?php ee('You are logged in as another user') ?>
				<a href="<?php echo route('return') ?>" class="btn btn-light ms-2 btn-sm"><?php ee('Return to my account') ?></a>
			</div>
		<?php endif ?>
	  <section>
		<div class="container-fluid">
		  <div class="row">
			<div class="col-sm-2 sidebar navbar-collapse">
				<div class="d-flex mb-4 ">
					<div>
						<a href="<?php echo route("home") ?>" class="text-white text-decoration-none">
							<?php if (!empty(config('logo'))): ?>
								<img src="<?php echo uploads(config('logo')) ?>" alt="<?php echo config('title') ?>" height="45" class="logo">
							<?php else: ?>
								<h4><?php echo config('title') ?></h4>
							<?php endif ?>
						</a>
					</div>
					<div class="ms-auto d-sm-none d-block">
						<button class="navbar-toggler sidebar-collapse text-white" type="button" aria-expanded="false" aria-label="Toggle navigation">
							<span class="fa fa-bars"></span>
						</button>
					</div>
				</div>
				<?php view('partials.sidebar_menu', ['user' => \Models\User::first($user->refresh()->rID())]) ?>
			</div>
			<div class="col-sm-10 p-0 content-area">
				<div class="card border-0 p-3 mb-0">
					<div class="d-flex flex-wrap align-items-center justify-content-lg-start">
						<?php view('partials.topbar_menu', compact('user')) ?>
					</div>
				</div>
				<div class="p-3">
					<?php message() ?>
					<?php section() ?>
				</div>
				<footer class="appmain p-3">
					<div class="row">
						<div class="col-sm-5">
							<p><?php echo date("Y") ?> &copy; <?php echo config("title") ?>.</p>
						</div>
						<div class="col-sm-7 text-end">
								<?php foreach (\Helpers\App::pages() as $page):?>
									<a href="<?php echo config('url')?>/page/<?php echo $page->seo ?>" title="<?php echo e($page->name)?>"><?php echo e($page->name)?></a>
								<?php endforeach; ?>
								<?php if(config('api')): ?>
									<a href="<?php echo route('apidocs') ?>"><?php ee('Developer API') ?></a>
								<?php endif ?>
								<?php if(config('affiliate')->enabled): ?>
									<a href="<?php echo route('affiliate') ?>"><?php ee('Affiliate Program') ?></a>
								<?php endif ?>
								<?php if (config('blog')): ?>
									<a href="<?php echo config('url')?>/blog" title="<?php echo e("Blog")?>"><?php echo e("Blog")?></a>
								<?php endif ?>
								<?php if(config('helpcenter')): ?>
									<a href="<?php echo route('help') ?>"><?php ee('Help Center') ?></a>
								<?php endif ?>
								<?php if (config("report")): ?>
									<a href="<?php echo route("report") ?>" title="<?php echo e("Report Link")?>"><?php echo e("Report Link")?></a>
								<?php endif ?>
								<a href="<?php echo config("url")?>/contact" title="<?php echo e("Contact")?>"><?php echo e("Contact")?></a>
								<?php if($langs = \Helpers\App::langs()): ?>
								<div class="languages">
									<a href="#lang" id="show-language"><i data-feather="globe" class="mr-1"></i> <?php echo strtoupper(\Core\Localization::locale()) ?></a>
									<div class="langs">
										<?php foreach($langs  as $lang): ?>
											<a class="dropdown-item" href="?lang=<?php echo $lang["code"] ?>"><?php echo $lang["name"] ?></a>
										<?php endforeach ?>
									</div>
								</div>
								<?php endif ?>
						</div>
					</div>
				</footer>
			  </div>
		  </div>
		</div>
		</section>
		<script src="<?php echo assets('backend/js/app.js') ?>"></script>
        <script src="<?php echo assets('frontend/libs/jquery/dist/jquery.min.js') ?>"></script>
        <script src="<?php echo assets('frontend/libs/select2/dist/js/select2.min.js') ?>"></script>
        <script src="<?php echo assets('frontend/libs/bootstrap-notify/bootstrap-notify.min.js') ?>"></script>
		<script src="<?php echo assets('frontend/libs/clipboard/dist/clipboard.min.js') ?>"></script>
		<script src="<?php echo uploads('custom.js') ?>"></script>
		<?php block('footer') ?>
		<script type="text/javascript">
			var lang = <?php echo json_encode([
				"error" => e('Please enter a valid URL.'),
				"imageerror" => e('The selected image is not valid. Please select a jpg or png with a maximum size of 1mb'),
				"del" => "Delete",
				"continue"  =>  e("Continue"),
				"cookie" => e("This website uses cookies to ensure you get the best experience on our website."),
				"cookieok" => e("Got it!"),
				"cookiemore" => e("Learn more"),
				"couponinvalid" => e("The coupon enter is not valid"),
				"minurl" => e("You must select at least 1 url."),
				"minsearch" => e("Keyword must be more than 3 characters!"),
				"nodata" => e("No data is available for this request."),
				"modal" => [
					"title" => e("Are you sure you want to proceed?"),
					"proceed" => e("Proceed"),
					"cancel" => e("Cancel"),
					"close" => e("Close"),
					"content" => e("Note that this action is permanent. Once you click proceed, you <strong>may not undo</strong> this. Click anywhere outside this modal or click <a href='#close' class='close-modal'>close</a> to close this.")
				]]) ?>
		</script>
		<script>
            feather.replace({
                'width': '1em',
                'height': '1em'
            })
        </script>
		<script src="<?php echo assets('custom.min.js') ?>"></script>
		<script src="<?php echo assets('server.min.js') ?>"></script>
		<?php echo html_entity_decode(config('customfooter')) ?>
	</body>
</html>