<!DOCTYPE html>
<html lang="<?php echo \Core\Localization::locale() ?>" <?php echo \Core\Localization::get('rtl')? 'dir="rtl"':''?><?php echo request()->cookie('darkmode') || \Helpers\App::themeConfig('homestyle', 'dark', true) ? 'data-scheme="dark"' : '' ?>>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <?php meta() ?>
        <link rel="stylesheet" type="text/css" href="<?php echo assets('frontend/libs/fontawesome/all.min.css') ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo assets('frontend/libs/select2/dist/css/select2.min.css') ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo assets('cookieconsent.min.css') ?>">
        <link rel="stylesheet" href="<?php echo uploads('bootstrap.min.css') ?>" id="stylesheet">
        <?php if(config('theme_config')->scheme && config('theme_config')->scheme !== 'default'): ?>
            <link rel="stylesheet" href="<?php echo uploads('style-'.config('theme_config')->scheme.'.css') ?>" id="stylesheet">
        <?php else: ?>
            <link rel="stylesheet" href="<?php echo uploads('style.css') ?>" id="stylesheet">
        <?php endif ?>
        <link rel="stylesheet" href="<?php echo uploads('main.css') ?>?v=1.0" id="stylesheet">
        <script>
            var appurl = '<?php echo url() ?>';
        </script>
        <?php echo html_entity_decode(config('customheader')) ?>
        <?php block('header') ?>
    </head>
    <body<?php echo \Core\View::bodyClass() ?> id="body">
    <a href="#body" id="back-to-top"><i class="fa fa-chevron-up"></i></a>
        <header>
            <div class="navbar" role="navigation">
                <div class="container">                    
                    <div class="navbar-header">                       
                        <a class="navbar-brand" href="<?php echo config('url') ?>">
                        <?php if (!empty(config('logo'))): ?>
                            <img src="<?php echo uploads(config('logo')) ?>" alt="<?php echo config('title') ?>">
                        <?php else: ?>
                            <?php echo config('title') ?>
                        <?php endif ?>
                        </a>
                        <button class="navbar-toggler d-block d-sm-none float-end" type="button" data-toggle="collapse" data-target="#mainmenu" aria-controls="mainmenu" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="fa fa-bars text-dark"></span>
                        </button>
                    </div>
                    <?php view('partials.main_menu') ?>
                </div>
            </div>    
        </header>   
        <?php section() ?>

        <?php view('partials.footer') ?>
        
        <script src="<?php echo assets('bundle.pack.js') ?>"></script>
        <script src="<?php echo uploads('custom.js') ?>"></script>        
        <?php if(config('cookieconsent')->enabled): ?>
            <script src="<?php echo assets('cookieconsent.min.js') ?>"></script>
        <?php endif ?>        
        <?php block('footer') ?>
        <script type="text/javascript">
            var lang = <?php echo json_encode([       
                "error" => e('Please enter a valid URL.'),         
                "cookie" => !empty(config('cookieconsent')->message) ? e(config('cookieconsent')->message) : e("This website uses cookies to ensure you get the best experience on our website."),
                "cookieok" => e("Got it!"),
                "cookiemore" => e("Learn more"),
                "cookielink" => !empty(config('cookieconsent')->link) ? config('cookieconsent')->link : route('page', ['terms']),
                "couponinvalid" => e("The coupon enter is not valid"),
                "minurl" => e("You must select at least 1 url."),
                "minsearch" => e("Keyword must be more than 3 characters!"),
                "nodata" => e("No data is available for this request."),
                "typed" => [e("Marketers."), e("Influencers."), e("Youtubers."), e("Artists."), e("Corporate."), e("Everyone.")],
                "datepicker" => [
                    '7d' => 'Last 7 Days',
                    '3d' => 'Last 30 Days',
                    'tm' => 'This Month',
                    'lm' => 'Last Month',                    
                ]]) ?>
        </script> 
        <script>
            feather.replace({
                'width': '1em',
                'height': '1em'
            })
        </script>    
        <script src="<?php echo assets('frontend/js/app.min.js') ?>"></script>
        <script src="<?php echo assets('server.min.js') ?>"></script>
        <?php echo html_entity_decode(config('customfooter')) ?>
        <?php if(!empty(config('analytics'))): ?>
			<script async src='https://www.googletagmanager.com/gtag/js?id=<?php echo config('analytics') ?>'></script><script>window.dataLayer = window.dataLayer || [];function gtag(){dataLayer.push(arguments);}gtag('js', new Date());gtag('config', '<?php config('analytics') ?>');</script>
		<?php endif ?>
    </body>

</html>