<section class="section-blue py-5">
    <div class="container">
        <h3 class="feature-h text-center text-white"><?php echo e("Contact us") ?></h3>
    </div>
    <div class="container position-relative zindex-100">
        <div class="row justify-content-center">
            <div class="col-sm-6">
                <div class="centered form full-width">                    
                    <form id="form-contact" method="post" action="<?php echo route('contact.send') ?>" class="live_form" data-trigger="server-form">
                        <h3><?php echo e("Contact us") ?></h3>
                        <p class="text-dark"><?php echo e("If you have any questions, feel free to contact us on this page."); ?></p>                    
                        <div class="form-group">
                            <label class="text-dark" for="contact-name"><?php ee("Name") ?>  <span class="text-danger">*</span></label>
                            <input class="form-control" type="text" placeholder="<?php ee("Name") ?>" id="contact-name" name="name" value="<?php echo \Core\Auth::logged() ? \Core\Auth::user()->username : '' ?>" data-error="<?php ee('Please enter a valid name.') ?>">
                        </div>
                        <div class="form-group">
                            <label class="text-dark" for="contact-email"><?php ee("Email") ?> <span class="text-danger">*</span></label>
                            <input class="form-control" type="email" placeholder="<?php ee("Email") ?>" name="email" id="contact-email" value="<?php echo \Core\Auth::logged() ? \Core\Auth::user()->email : '' ?>" data-error="<?php ee('Please enter a valid email.') ?>" required>
                        </div>
                        <div class="form-group">
                            <label class="text-dark" for="contact-subject"><?php ee("Subject") ?>  <span class="text-danger">*</span></label>
                            <input class="form-control" type="text" placeholder="<?php ee("Subject") ?>" id="contact-subject" name="subject" value="" data-error="<?php ee('Please enter a valid subject.') ?>">
                        </div>                   
                        <div class="form-group">
                            <label class="text-dark" for="contact-message"><?php ee("Message") ?> <span class="text-danger">*</span></label>
                            <textarea class="form-control" placeholder="<?php ee('If you have any questions, feel free to contact us so we can help you') ?>" rows="10" min="10" data-error="<?php ee('The message is empty or too short.') ?>" id="content-message" name="message" required></textarea>
                        </div>
                        <?php echo \Helpers\Captcha::display() ?>
                        <div class="text-center">
                            <?php echo csrf() ?>
                            <button type="submit" class="btn btn-block btn-lg btn-primary mt-4"><?php ee('Send') ?></button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="col-md-5">
                <div class="reachus">
                    <?php if (!empty(config('facebook')) || !empty(config('twitter'))): ?>
                        <h3 class="text-white"><?php echo e("We are social") ?></h3>
                        <ul class="social-icons">
                        <?php if (!empty(config('facebook'))): ?>
                            <li><a href="<?php echo config('facebook') ?>" target="_blank"><i class="fab fa-facebook text-dark"></i></a></li>
                        <?php endif ?>
                        <?php if (!empty(config('twitter'))): ?>
                            <li><a href="<?php echo config('twitter') ?>" target="_blank"><i class="fab fa-twitter text-dark"></i></a></li>
                        <?php endif ?>               
                        </ul>          
                    <?php endif ?>     
                    <?php getAddress() ?>
                </div>
            </div>
        </div>        
    </div>
</section>