<footer class="main">
    <div class="container">
        <?php if (!empty(config("logo"))): ?>
            <img src="<?php echo config("url") ?>/content/<?php echo config("logo") ?>" alt="<?php echo config("title") ?>" height="45">
        <?php else: ?>
        <h2><?php echo config("title") ?></h2>
        <?php endif ?>
        <p class="description"><?php echo config("description") ?></p>
        <ul class="social-icons">
        <?php if (!empty(config("facebook"))): ?>
            <li><a href="<?php echo config("facebook") ?>" target="_blank"><i class="fab fa-facebook"></i></a></li>
        <?php endif ?>
        <?php if (!empty(config("twitter"))): ?>
            <li><a href="<?php echo config("twitter") ?>" target="_blank"><i class="fa-brands fa-x-twitter"></i></a></li>
        <?php endif ?>   
        <?php if($instagram = config('sociallinks')->instagram): ?>
            <li>
                <a href="<?php echo $instagram ?>" target="_blank">
                    <i class="fab fa-instagram"></i>
                </a>
            </li>
        <?php endif ?>
        <?php if($linkedin = config('sociallinks')->linkedin): ?>
            <li>
                <a href="<?php echo $linkedin ?>" target="_blank">
                    <i class="fab fa-linkedin"></i>
                </a>
            </li>
        <?php endif ?>            
        </ul>
        <div class="row">
            <div class="col-sm-5">
                <p><?php echo date("Y") ?> &copy; <?php echo config("title") ?>.</p>
            </div>
            <div class="col-sm-7 text-end">
                <?php foreach (\Helpers\App::pages() as $page):?>        
                    <a href="<?php echo config('url')?>/page/<?php echo $page->seo ?>" title="<?php echo e($page->name)?>"><?php echo e($page->name)?></a>
                <?php endforeach; ?>
                <?php if(config('api')): ?>
                    <a href="<?php echo route('apidocs') ?>"><?php ee('Developer API') ?></a>
                <?php endif ?>
                <?php if(config('affiliate')->enabled): ?>
                    <a href="<?php echo route('affiliate') ?>"><?php ee('Affiliate Program') ?></a>
                <?php endif ?>
                <?php if (config('blog')): ?>
                    <a href="<?php echo route('blog') ?>" title="<?php echo e("Blog")?>"><?php echo e("Blog")?></a>
                <?php endif ?>
                <?php if (config("report")): ?>
                    <a href="<?php echo route("report") ?>" title="<?php echo e("Report Link")?>"><?php echo e("Report Link")?></a> 
                <?php endif ?>
                <a href="<?php echo config("url")?>/contact" title="<?php echo e("Contact")?>"><?php echo e("Contact")?></a>
                <?php if($langs = \Helpers\App::langs()): ?>
                <div class="languages">
                    <a href="#lang" id="show-language"><i data-feather="globe" class="mr-1"></i> <?php echo strtoupper(\Core\Localization::locale()) ?></a>
                    <div class="langs">
                        <?php foreach($langs  as $lang): ?>
                            <a class="dropdown-item" href="?lang=<?php echo $lang["code"] ?>"><?php echo $lang["name"] ?></a>
                        <?php endforeach ?>
                    </div>          
                </div>
                <?php endif ?>
            </div>
        </div>
    </div>
</footer> 