<div id="mainmenu" class="navbar-collapse">
	<ul class="nav me-auto mb-2">
        <?php plug('homemenu') ?>
        <li class="dropdown mt-0">
            <a href="#" data-bs-toggle="dropdown"><?php ee('Solutions') ?></a>
            <ul class="dropdown-menu">
                <li>
                    <div class="list-group-item border-0">
                        <div class="media d-flex">
                            <div class="media-body">
                                <a href="<?php echo route('page.qr') ?>" class="d-block h6 mb-0 ps-0"><?php ee('QR Codes') ?></a>
                                <small class="text-sm text-muted mb-0"><?php ee('Customizable & trackable QR codes') ?></small>
                            </div>
                        </div>
                    </div>                    
                </li>
                <li>
                    <div class="list-group-item border-0">
                        <div class="media d-flex">
                            <div class="media-body">
                                <a href="<?php echo route('page.bio') ?>" class="d-block h6 mb-0 ps-0"><?php ee('Bio Pages') ?></a>
                                <small class="text-sm text-muted mb-0"><?php ee('Convert your social media followers') ?></small>
                            </div>
                        </div>
                    </div>  
                </li>
                <?php if($plugged = plug('solutionsmenu')): ?>
                    <?php foreach($plugged as $link): ?>
                        <?php if(is_array($link)): ?>
                            <li>                               
                                <div class="list-group-item border-0">
                                    <div class="media d-flex">
                                        <div class="media-body">
                                            <a href="<?php echo $link['link'] ?>" class="d-block h6 mb-0 ps-0"><?php echo $link['title'] ?></a>
                                            <?php if(isset($link['description'])): ?>
                                                <small class="text-sm text-muted mb-0"><?php echo $link['description'] ?></small>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                            </li>
                        <?php endif ?>
                    <?php endforeach ?>
                <?php endif ?>
                <li>
                    <?php foreach(\Helpers\App::pages('main') as $page): ?>
                        <a href="<?php echo route('page', [$page->seo]) ?>" class="d-block h6 mb-0 ps-0"><?php ee($page->name) ?></a>
                        <small class="text-sm text-muted mb-0"><?php echo $page->metadata->description ?? '' ?></small>
                    <?php endforeach ?>
                </li>
            </ul>
        </li>        
        <?php if(config("user") && !config("private") && !config("maintenance") && config("pro")): ?>
            <li><a href="<?php echo route("pricing") ?>"><?php echo e("Pricing") ?></a></li>
        <?php endif ?>
        <?php if(config("blog")): ?>
            <li><a href="<?php echo route("blog") ?>"><?php ee("Blog") ?></a></li>
        <?php endif ?>
        <li class="dropdown mt-0">
            <a href="#" data-bs-toggle="dropdown"><?php ee('Resources') ?></a>
            <ul class="dropdown-menu">
                <?php if(config('api')): ?>
                <li>
                    <div class="list-group-item border-0">
                        <div class="media d-flex">
                            <div class="media-body">
                                <a href="<?php echo route('apidocs') ?>" class="d-block h6 mb-0"><?php ee('Developer API') ?></a>
                                <small class="text-sm text-muted mb-0"><?php ee('Guide on how to use our API') ?></small>
                            </div>
                        </div>
                    </div>                    
                </li>
                <?php endif ?>
                <?php if(config('helpcenter')): ?>
                <li>
                    <div class="list-group-item border-0">
                        <div class="media d-flex">
                            <div class="media-body">
                                <a href="<?php echo route('help') ?>" class="d-block h6 mb-0"><?php ee('Help Center') ?></a>
                                <small class="text-sm text-muted mb-0"><?php ee('Check out our help center') ?></small>
                            </div>
                        </div>
                    </div>  
                </li>
                <?php endif ?>
            </ul>
        </li>
        <?php if(!\Core\Auth::logged()): ?>
            <li><a href="<?php echo route("login") ?>"><?php ee("Login") ?></a></li>
			<?php if(config("user") && !config("private") && !config("maintenance")): ?>
                <li><a class="active" href="<?php echo route("register") ?>"><?php ee("Get Started") ?></a></li>
            <?php endif ?>
	    <?php else: ?>            
            <li><a href="<?php echo route("dashboard") ?>"><?php ee("Dashboard") ?></a></li>
            <li class="dropdown">
                <a href="#"><img src="<?php echo user()->avatar() ?>" alt=""></a>
                <ul class="dropdown-menu">
                    <?php if(user()->admin): ?>
                        <li><a href="<?php echo route("admin") ?>"><span class="fa fa-cog"></span> <?php ee("Admin") ?></a></li>
                    <?php endif ?>                    
                    <?php if(user()->username): ?>
                        <li><a href="<?php echo route("profile",[user()->username]) ?>"><span class="fa fa-cloud"></span> <?php ee("Public Profile") ?></a></li>
                    <?php endif ?>
                    <?php if(config("pro") && !user()->team()): ?>
                        <li><a href="<?php echo route("billing") ?>"><span class="fa fa-credit-card"></span> <?php ee("Billing") ?></a></li>
                    <?php endif ?>
                    <?php if(config('affiliate')->enabled): ?>
                    <li><a href="<?php echo route("user.affiliate") ?>"><span class="fa fa-box"></span> <?php echo e("Affiliate") ?></a></li>
                    <?php endif ?>
                    <li><a href="<?php echo route("settings") ?>"><span class="fa fa-cog"></span> <?php ee("Settings") ?></a></li>
                    <li><a href="<?php echo route("logout") ?>"><span class="fa fa-sign-out-alt"></span> <?php ee("Logout") ?></a></li>
                </ul>
            </li>
        <?php endif ?>
    </ul>
</div>