<ul class="nav nav-sidebar">
    <li class="nav-item active">
        <a class="nav-link action" href="<?php echo route('dashboard') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Dashboard') ?>">
            <i class="align-middle me-2 fs-5" data-feather="sliders"></i> <span class="align-middle"><?php ee('Dashboard') ?></span>
        </a>
    </li>
    <?php if($user->has('bio')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('bio') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Bio Pages') ?>">
            <i class="align-middle me-2 fs-5" data-feather="layout"></i> <span class="align-middle"><?php ee('Bio Pages') ?></span>
        </a>
    </li>
    <?php endif ?>
    <?php if($user->has('qr')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('qr') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('QR Codes') ?>">
            <i class="align-middle me-2 fs-5" data-feather="aperture"></i> <span class="align-middle"><?php ee('QR Codes') ?></span>
        </a>
    </li>
    <?php endif ?>  
    <?php plug('usermenu.top') ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('user.stats') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Statistics') ?>">
            <i class="align-middle me-2 fs-5" data-feather="bar-chart"></i> <span class="align-middle"><?php ee('Statistics') ?></span>
        </a>
    </li>
</ul>    
<?php if($user->has('channels')): ?>
    <h3><?php ee('Channels') ?> <a href="<?php echo route('channels') ?>" class="float-end side-stats"><?php ee('View All') ?></a></h3>
    <ul class="nav nav-sidebar">
    <?php foreach($channels = \Core\DB::channels()->where('userid', $user->rID())->where('starred', 1)->orderByAsc('name')->findMany() as $channel): ?>
        <li class="nav-item"><a class="nav-link" href="<?php echo route('channel', [$channel->id]) ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php echo $channel->name ?>"><i class="badge me-2 rounded px-2 me-2" style="background:<?php echo $channel->color ?>">&nbsp;</i> <span class="align-middle"><?php echo $channel->name ?></span></a></li>
    <?php endforeach ?>
    </ul>
<?php endif ?>
<h3><?php ee('Link Management') ?></h3>
<ul class="nav nav-sidebar">
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('links') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Links') ?>">
            <i class="align-middle me-2 fs-5" data-feather="link"></i> <span class="align-middle"><?php ee('Links') ?> </span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('archive') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Archived Links') ?>">
            <i class="align-middle me-2 fs-5" data-feather="briefcase"></i> <span class="align-middle"><?php ee('Archived Links') ?> </span>
        </a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('expired') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Expired Links') ?>">
            <i class="align-middle me-2 fs-5" data-feather="calendar"></i> <span class="align-middle"><?php ee('Expired Links') ?></span>
        </a>
    </li>    
    <?php plug('usermenu.medium') ?>
    <?php if($user->has('bundle')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('campaigns') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Campaigns') ?>">
            <i class="align-middle me-2 fs-5" data-feather="crosshair"></i> <span class="align-middle"><?php ee('Campaigns') ?></span>
        </a>
    </li>    
    <?php endif ?>
    <?php if($user->has('splash')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('splash') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Custom Splash') ?>">
            <i class="align-middle me-2 fs-5" data-feather="loader"></i> <span class="align-middle"><?php ee('Custom Splash') ?></span>
        </a>
    </li>    
    <?php endif ?>
    <?php if($user->has('overlay')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('overlay') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('CTA Overlay') ?>">
            <i class="align-middle me-2 fs-5" data-feather="layers"></i> <span class="align-middle"><?php ee('CTA Overlay') ?></span>
        </a>
    </li>    
    <?php endif ?>
    <?php if($user->has('pixels')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('pixel') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Tracking Pixels') ?>">
            <i class="align-middle me-2 fs-5" data-feather="compass"></i> <span class="align-middle"><?php ee('Tracking Pixels') ?></span>
        </a>
    </li>    
    <?php endif ?>
    <?php if($user->has('domain')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('domain') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Branded Domains') ?>">
            <i class="align-middle me-2 fs-5" data-feather="globe"></i> <span class="align-middle"><?php ee('Branded Domains') ?></span>
        </a>
    </li>    
    <?php endif ?>    
    <?php if($user->has('team')): ?>
    <li class="nav-item">
        <a class="nav-link" href="<?php echo route('team') ?>" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Teams') ?>">
            <i class="align-middle me-2 fs-5" data-feather="users"></i> <span class="align-middle"><?php ee('Teams') ?></span>
        </a>
    </li>    
    <?php endif ?>   
    <?php plug('usermenu') ?>
    <li class="nav-item">        
        <a class="nav-link collapsed" href="#" data-bs-target="#nav-tool" data-bs-toggle="collapse" data-bs-toggle="tooltip" data-bs-placement="right"  title="<?php ee('Tools') ?>">
            <i class="align-middle me-2 fs-5" data-feather="terminal"></i> <span class="align-middle"><?php ee('Tools') ?></span>
        </a>
        <ul id="nav-tool" class="sidebar-dropdown list-unstyled collapse" data-bs-parent="#sidebar">            
            <?php if (config('slackclientid') && config('slacksecretid')): ?>
                <li class="nav-item"><a class="nav-link" href="<?php echo route('integrations', ['slack']) ?>"><?php ee('Slack Integration') ?></a></li>
            <?php endif ?>
            <li class="nav-item"><a class="nav-link" href="<?php echo route('integrations', ['zapier']) ?>"><?php ee('Zapier Integration') ?></a></li>
            <?php if(config('api') && $user->has('api')): ?>                
                <li class="nav-item"><a class="nav-link" href="<?php echo route('integrations', ['wordpress']) ?>"><?php ee('WordPress Integration') ?></a></li>
                <li class="nav-item"><a class="nav-link" href="<?php echo route('integrations', ['shortcuts']) ?>"><?php ee('Shortcuts Integration') ?></a></li>
            <?php endif ?>
            <li class="nav-item"><a class="nav-link" href="<?php echo route('tools') ?>"><?php ee('Tools') ?></a></li>
            <?php if(config('api') && $user->has('api')): ?>
                <li class="nav-item"><a class="nav-link" href="<?php echo route('apidocs') ?>"><?php ee('Developer API') ?></a></li>
            <?php endif ?>
        </ul>
    </li>     
</ul>