<button class="navbar-toggler sidebar-collapse" type="button" aria-expanded="false" aria-label="Toggle navigation">
    <span class="fa fa-bars"></span>
</button>

<ul class="nav col-12 col-lg-auto ms-lg-auto mb-2 justify-content-center mb-md-0 me-3">
    <li>
            <a class="nav-link fw-bold me-2<?php echo request()->cookie('darkmode') ? ' d-none':'' ?>" href="#" title="<?php ee('Dark Mode') ?>" data-trigger="darkmode">
                <i class="align-middle" data-feather="moon"></i>
            </a>
            <a class="nav-link text-white fw-bold me-2<?php echo !request()->cookie('darkmode') ? ' d-none':'' ?>" href="#" title="<?php ee('Light Mode') ?>" data-trigger="lightmode">
                <i class="align-middle" data-feather="sun"></i>
            </a>
        </li>
    <?php if(config('news')): ?>            
        <li>
            <a href="#" class="nav-link px-2 ms-3 link-dark" id="alertsDropdown" data-trigger="viewnews" data-hash="<?php echo md5(config('news')) ?>" data-bs-toggle="dropdown">
                <div class="position-relative">
                    <i class="fa fa-bell"></i>
                    <?php if(!request()->cookie('notification') || request()->cookie('notification') != md5(config('news'))): ?>
                        <span class="indicator">1</span>
                    <?php endif ?>
                </div>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end py-0" aria-labelledby="alertsDropdown">
                <div class="dropdown-menu-header p-2">
                    <?php ee('{t} Notifications', null, ['t' => 1]) ?>
                </div>
                <div class="list-group">
                    <div class="p-2"><?php echo config('news') ?></div>
                </div>               
            </div>
        </li>
    <?php endif ?>    
    <?php if(config("user") && !config("private") && !config("maintenance") && config("pro")): ?>
        <li><a class="nav-link px-2 ms-3 link-dark" href="<?php echo route("pricing") ?>"><?php echo e("Pricing") ?></a></li>
    <?php endif ?>
    <?php if(config("blog")): ?>
        <li><a class="nav-link px-2 ms-3 link-dark" href="<?php echo route("blog") ?>"><?php ee("Blog") ?></a></li>
    <?php endif ?>	   
    <?php if(!\Core\Auth::logged()): ?>   
        <li><a class="nav-link px-2 ms-3 link-dark" href="<?php echo route("login") ?>"><?php ee("Login") ?></a></li>
        <?php if(config("user") && !config("private") && !config("maintenance")): ?>
            <li><a class="nav-link px-2 ms-3 link-dark active" href="<?php echo route("user/register") ?>"><?php ee("Get Started") ?></a></li>
        <?php endif ?>
    <?php else: ?>
        <?php if($user->admin): ?>
            <li><a class="nav-link px-2 ms-3 link-dark active" href="<?php echo route("admin") ?>"><?php ee("Admin") ?></a></li>
        <?php endif ?>    
    <?php endif ?>
    <?php if($teams = $user->teams()): ?>
        <li class="nav-link px-2 ms-3 link-dark dropdown">
            <a class="nav-icon dropdown-toggle" href="#" data-bs-toggle="dropdown">
                <i class="align-middle" data-feather="users"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end py-0" aria-labelledby="alertsDropdown">
                <div class="dropdown-menu-header my-2 fw-bold text-center">
                    <?php ee('Switch Workspace') ?>
                </div>
                <a class="dropdown-item mb-2 py-4 d-flex align-items-center <?php echo !$user->team() ? 'active' : ''?>" href="<?php echo route('team.switch', ['default']) ?>">
                        <img src="<?php echo $user->avatar() ?>" class="avatar rounded-circle me-1">
                        <div class="ms-1">
                            <span class="fw-bold"><?php echo $user->email ?></span> <br><small><?php ee('Individual') ?></small>
                        </div>
                    </a>
                <?php foreach($teams as $team): ?>
                    <a class="dropdown-item mb-2 py-4 d-flex align-items-center <?php echo ($user->team() && $user->team()->id == $team->id) ? 'active' : ''?>" href="<?php echo route('team.switch', [$team->token]) ?>">
                        <img src="<?php echo $team->user->avatar() ?>" class="avatar rounded-circle me-1">
                        <div class="ms-1">
                            <span class="fw-bold"><?php echo $team->user->email ?></span> <br><small><?php ee('Team') ?></small>
                        </div>
                    </a>
                <?php endforeach ?>
            </div>
        </li>            
    <?php endif ?>
    <li class="dropdown ms-3 text-end">
        <a href="#" class="d-block link-dark text-decoration-none dropdown-toggle" id="dropmenu" data-bs-toggle="dropdown" aria-expanded="false">
            <img src="<?php echo $user->avatar() ?>" width="32" class="rounded-circle" alt="<?php echo e("My Account") ?>">
        </a>
        <ul class="dropdown-menu" aria-labelledby="dropmenu">
            <?php echo $user->verified ? '<li><span class="dropdown-item text-success fw-bold"><i data-feather="check-circle" class="me-1"></i> '.e('Verified').'</span></li>':'' ?>
            <?php if($user->username): ?>
            <li><a class="dropdown-item" href="<?php echo route("profile", [$user->username]) ?>"><i class="me-2 fa fa-user"></i> <?php echo e("Public Profile") ?></a></li>
            <?php endif ?>
            <?php if(config('pro') && !$user->team()): ?>
            <li><a class="dropdown-item" href="<?php echo route("billing") ?>"><i class="me-2 fa fa-credit-card"></i> <?php echo e("Billing") ?></a></li>
            <?php endif ?>
            <?php if(config('verification') && !$user->verified): ?>
                <a class="dropdown-item" href="<?php echo route('user.verification') ?>"><i class="fa fa-user-check me-2"></i> <?php ee('Get Verified') ?></a>
            <?php endif ?>
            <?php if(config('affiliate')->enabled): ?>
            <li><a class="dropdown-item" href="<?php echo route("user.affiliate") ?>"><i class="me-2 fa fa-box"></i> <?php echo e("Affiliate") ?></a></li>
            <?php endif ?>
            <?php if($user->has('api')): ?>
            <li><a class="dropdown-item" href="<?php echo route("tools") ?>"><i class="me-2 fa fa-terminal"></i> <?php echo e("Developer Tools") ?></a></li>
            <?php endif ?>
            <li><a class="dropdown-item" href="<?php echo route("settings") ?>"><i class="me-2 fa fa-cog"></i> <?php echo e("Settings") ?></a></li>
            <li><a class="dropdown-item" href="<?php echo route("logout") ?>"><i class="me-2 fa fa-sign-out-alt"></i> <?php echo e("Logout") ?></a></li>
        </ul>    
    </li>
</ul>